//
//  FWSettings.h
//  AFFFmpegWrapper
//
//  Created by Scott on 7/4/09.
//  Copyright 2009 The Little App Factory. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "FWFileInformation.h"


@interface FWSettingsFactory : NSObject {

}

+ (NSMutableArray *)createSettingsForFileInformation:(FWFileInformation *)fileInformation withOptions:(NSMutableDictionary *)options toFileURL:(NSURL *)fileURL withPresetPath:(NSString*)presetPath;

+ (BOOL)settings:(NSMutableArray *)settings include:(NSString *)value;
+ (NSString *)settings:(NSMutableArray *)settings forValue:(NSString *)value;
+ (void)settings:(NSMutableArray *)settings remove:(NSString *)value includeValue:(BOOL)includeValue;
+ (NSString *)optionsValueForMaxThreads:(NSMutableDictionary *)settings;

@end
